<?php

//hook to detect a order status change
add_action( 'woocommerce_order_status_changed', 'inideia_api_bilhetes_order_status_changed', 10, 4 );
function inideia_api_bilhetes_order_status_changed( $order_id, $old_status, $new_status, $order ){
    //if the order status is the one defined in the settings page, call the API
    if($new_status==get_option('inideia_api_order_status')){
        comunicar_bilhete($order_id);
    }
}

//add a new action in the order actions dropdown to comunicate the ticket
add_filter( 'woocommerce_order_actions', 'inideia_api_bilhetes_add_order_action' );
function inideia_api_bilhetes_add_order_action( $actions ) {
    $actions['inideia_api_bilhetes'] = __( 'Comunicar bilhetes', 'woocommerce' );
    return $actions;
}
//add the function to be called when the order action is triggered
add_action( 'woocommerce_order_action_inideia_api_bilhetes', 'comunicar_bilhete' );
